// sampling parameters
const int nSamp = 50;   // Number of Samples to take for each reading
const int slow = 60;    // sample every 60 sec = 1 min
const int fast = 6;     // sample every 6 sec = 0.1 min

unsigned long sInt = fast; // sampling interval in seconds

//calculating voltages
int reading; //value read from ADC
 //these need to be floats to be passed to ConvReadings to calculate average, add offset, and scale to V
float sum1 = 0;
float sum2 = 0;
float divisor;  // later assigned = nSamp
// %%%%%  the offset is added to the total of 50 readings before averaging - to support greater accuracy  %%%%%%%
// %%%%%  get the right value by looking at the reading total on the serial I/O  %%%%%%%
const float offset = 0; // put in correct value after calibration - make sure the lowest reading stays above zero

const float V1scale2V5 = 2.438; // (=2500mV/1024) - corrected value after calibration
const float V2scale2V5 = 2.438; // (=2500mV/1024) - corrected value after calibration
const float V1scale25V = 25.130; // (=25000mV/1024) - corrected value after calibration
const float V2scale25V = 24.960; // (=25000mV/1024) - corrected value after calibration
float V1scalefactor;
float V2scalefactor;

// The Clock variables are declared globally so that they can be accessed anywhere.
unsigned long startTime;          // value of millis() when start switch pressed
unsigned long currSeconds;        // Current "Uptime" seconds
unsigned long currMinutes;        // Current "Uptime" minutes
int currHours;                    // Current "Uptime" hours
float elapsedMinutes;             // (in tenths) for graphing data in Excel
int timeout = 100;                // time in fifths of seconds to wait for start signal

char charArray[9];                // Dimension this to be size of largest data item + 1
boolean endOfLine = false;        // Flag for end of line of data

//Analog & digital pin assignments
const byte V1Pin = 3;       // analog pin 3 for voltage 1
const byte V2Pin = 2;       // analog pin 2 for voltage 2
const byte StartPin = 2;    // Digital pin for start switch
const byte ratePin = 3;     // Digital pin for rate select switch fast / slow
const byte SDSSPin = 4;     // Digital pin 4 is SS (slave select) for SD card - must be left as output
const byte LEDPin = 5;      // Digital pin 5 for LED 
const byte V1Scale = 6;     // Digital pin 6 connects to range switch (2.5 or 25) on S1
const byte V2Scale = 7;     // Digital pin 7 connects to range switch (2.5 or 25) on S2
